## Class context

zeep::xml::context

## Synopsis

    // In header: <zeep/xml/xpath.hpp>

    class context {
    public:
      // construct/copy/destruct
      ();
      (context &);
      context & (context &);
      ~();

      // public member functions
       (, );
       (, );
      template<typename T,
                 = >
         ();
    };

## Description

XPath's can contain variables. And variables can contain all kinds of data like strings, numbers and even node_sets. If you want to use variables, you can define a context, add your variables to it and then pass it on in the xpath::evaluate method.

### `context` public construct/copy/destruct

1.     ();

2.     (context &);

3.     context & (context &);

4.     ~();

### `context` public member functions

1.      ( name,  value);

2.      ( name,  value);

3.     template<typename T,
                  = >
          ( name);